View Issue Details

IDProjectCategoryView StatusLast Update
0006516Talermechant backendpublic2021-09-02 18:23
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006516: backend should refuse to create orders without trusted exchanges or auditors
DescriptionRight now, if the exchange has no valid auditor or exchange configured for the active currency, it generates orders that cannot be paid because no exchange/merchant is acceptable. We should probably refuse to even start the backend with such a configuration.
TagsNo tags attached.

Activities

Christian Grothoff

2020-09-03 15:30

manager   ~0016819

Fixed in 6001eae..0154203

Christian Grothoff

2021-09-02 18:23

manager   ~0018370

Fix committed to master branch.

Related Changesets

merchant: master 01542039

2020-09-03 15:23:35

Christian Grothoff

Details Diff
fix 0006516 Affected Issues
0006516
mod - src/backend/taler-merchant-httpd.c Diff File
mod - src/backend/taler-merchant-httpd_exchanges.c Diff File
mod - src/backend/taler-merchant-httpd_exchanges.h Diff File

Issue History

Date Modified Username Field Change
2020-08-23 18:33 Christian Grothoff New Issue
2020-08-23 18:33 Christian Grothoff Status new => assigned
2020-08-23 18:33 Christian Grothoff Assigned To => Marcello Stanisci
2020-08-23 18:34 Christian Grothoff Assigned To Marcello Stanisci => jonathanbuchanan
2020-09-03 15:26 Christian Grothoff Assigned To jonathanbuchanan => Christian Grothoff
2020-09-03 15:30 Christian Grothoff Status assigned => resolved
2020-09-03 15:30 Christian Grothoff Resolution open => fixed
2020-09-03 15:30 Christian Grothoff Fixed in Version => 0.8
2020-09-03 15:30 Christian Grothoff Note Added: 0016819
2020-09-03 15:30 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 01542039
2021-09-02 18:23 Christian Grothoff Note Added: 0018370